## com.google.appengine.api.search
Class FieldExpression.Builder

    java.lang.Object
      com.google.appengine.api.search.FieldExpression.Builder

Enclosing class:
  FieldExpression

    public static final class FieldExpression.Builder

extends java.lang.Object

A field expression builder. A name and expression must be supplied.

Constructor Summary
`FieldExpression.Builder()`

Method Summary
`FieldExpression` `build()` Builds the FieldExpression.
`FieldExpression.Builder` `setExpression(java.lang.String expression)` Sets the expression to evaluate to return in `SearchResult`.
`FieldExpression.Builder` `setName(java.lang.String name)` Sets the name of the expression.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldExpression.Builder

    public FieldExpression.Builder()

Method Detail

### setName

    public FieldExpression.Builder setName(java.lang.String name)

  Sets the name of the expression. The name must be a valid field name.

  Parameters:
    `name` - the name of the expression
  Returns:
    this Builder
  Throws:
    `java.lang.IllegalArgumentException` - if name is not a valid field name

### setExpression

    public FieldExpression.Builder setExpression(java.lang.String expression)

  Sets the expression to evaluate to return in `SearchResult`.

  Parameters:
    `expression` - an expression to evaluate and return in a `SearchResult` field
  Returns:
    this Builder
  Throws:
    `java.lang.IllegalArgumentException` - if the expression is not valid

### build

    public FieldExpression build()

  Builds the FieldExpression. An expression and name for the expression must be given.

  Returns:
    the built FieldExpression
  Throws:
    `java.lang.IllegalArgumentException` - if the name is not a valid field name